Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
project:dmcpp [2010/06/16 21:37]
nishimotz
project:dmcpp [2010/11/09 08:58]
nishimotz
Line 2: Line 2:
 ====== DMCPP ====== ====== DMCPP ======
  
-An experimental dialog manager for [[:​galatea]],​ using lib[[:​julius]] and [[:​opencv]],​ written in C++.+An experimental dialog manager for [[http://​sourceforge.jp/​projects/​galatea/​|galatea]], using lib[[http://​sourceforge.jp/​projects/​julius/​|julius]] and [[http://​sourceforge.net/​projects/​opencvlibrary/​|opencv]], written in C++.
  
 Source file: http://​github.com/​nishimotz/​dmcpp Source file: http://​github.com/​nishimotz/​dmcpp
Line 11: Line 11:
 [[:opencv]] face detection is also integrated. [[:opencv]] face detection is also integrated.
  
-The project is tested with Ubuntu 9.04 and Ubuntu ​10.04 (i386).+The project is tested with Ubuntu 9.0410.04, 10.10 (i386).
 In this project, the character encoding is UTF-8. In this project, the character encoding is UTF-8.
 Japanese speech engines are used, currently. Japanese speech engines are used, currently.
Line 21: Line 21:
 <​code>​ <​code>​
 $ sudo aptitude install ruby $ sudo aptitude install ruby
 +$ sudu aptitude install rake
 $ sudo aptitude install freeglut3 $ sudo aptitude install freeglut3
 $ sudo aptitude install openjdk-6-jre $ sudo aptitude install openjdk-6-jre
Line 28: Line 29:
 $ sudo aptitude install ttf-sazanami-gothic $ sudo aptitude install ttf-sazanami-gothic
 </​code>​ </​code>​
 +
 +<​code>​
 +$ sudo aptitude install libasound2-dev
 +$ sudo aptitude install libavcodec52
 +$ sudo aptitude install libavformat52
 +</​code>​
 +
  
 sourceforge.jp packages: sourceforge.jp packages:
Line 39: Line 47:
 packages by nishimotz: packages by nishimotz:
  
 +<del>
   * http://​files.nishimotz.com/​ruby-1.9.2_preview3-2_i386.deb   * http://​files.nishimotz.com/​ruby-1.9.2_preview3-2_i386.deb
     * or http://​files.nishimotz.com/​ruby-1.9.1_p376-1_i386.deb     * or http://​files.nishimotz.com/​ruby-1.9.1_p376-1_i386.deb
     *  [[:rake]] is required for [[:​ruby1.9]]. "​aptitude install rake" is maybe enough for this.     *  [[:rake]] is required for [[:​ruby1.9]]. "​aptitude install rake" is maybe enough for this.
 +</​del>​
 +
   * http://​ja.nishimotz.com/​_media/​julius_4.1.5-2_i386.deb   * http://​ja.nishimotz.com/​_media/​julius_4.1.5-2_i386.deb
   * http://​files.nishimotz.com/​opencv-local_2.1.0-1_i386.deb   * http://​files.nishimotz.com/​opencv-local_2.1.0-1_i386.deb
Line 58: Line 69:
  
 or download dmcpp tar ball. or download dmcpp tar ball.
-visit [[http://​github.com/​nishimotz/​dmcpp|github]] and click "​download source"​ and select tar.+Visit [[http://​github.com/​nishimotz/​dmcpp|github]] and click "​download source"​ and select tar.
  
 nishimotz-dmcpp-ec191ea.tar.gz (the revision may be different.) nishimotz-dmcpp-ec191ea.tar.gz (the revision may be different.)
Line 119: Line 130:
 ===== app ===== ===== app =====
  
-How to replace ​[[:dialogstudio]] dialog manager:+It replaces ​[[:galatea_dialog_studio]] dialog manager ​in the following way:
  
 app/​skel/​am.conf.txt app/​skel/​am.conf.txt
project/dmcpp.txt ยท Last modified: 2010/11/09 08:58 by nishimotz
www.chimeric.de Valid CSS Driven by DokuWiki do yourself a favour and use a real browser - get firefox!! Recent changes RSS feed Valid XHTML 1.0